[slack-ru] Swaret - проблема с обновление пакета gtk.

  • From: dev2null <dev2null@xxxxxxxxx>
  • To: slack-ru@xxxxxxxxxxxxx
  • Date: Sun, 24 Apr 2005 20:40:10 +1100

при обновлении пакета gtk+ через программу swaret, компьютер был отключен.
при очередно обновлении swaret пишет::

----------swaret--------------------------------
$:>swaret --upgrade
swaret 1.6.2-1
=> Создаем список исключений..... ЗАВЕРШЕНО!
Список всех доступных пакетов...
Новый: gtk+2-2.4.3-i486-1 (5946 kB) - Установлен: gtk+2-2.4.10-i486-1 
Обновить gtk+2-2.4.10-i486-1 до gtk+2-2.4.3-i486-1? (y/n/A/Q): [y]
----------swaret-------------------------------

при том что gtk+2-2.4.10-i486-1 версия новей чем gtk+2-2.4.3-i486-1
в любом случае если сказать "y" swaret обновляет пакет до gtk+2-2.4.3-i486-1
теперь при запуске swaret сообщает относительно пакета gtk:

----------swaret--------------------------------
$:>swaret --upgrade
swaret 1.6.2-1
=> Создаем список исключений..... ЗАВЕРШЕНО!
Список всех доступных пакетов...
Новый: gtk+2-2.4.10-i486-1 (5946 kB) - Установлен: gtk+2-2.4.3-i486-1
Обновить gtk+2-2.4.3-i486-1 до gtk+2-2.4.10-i486-1? (y/n/A/Q): [y]
----------swaret--------------------------------

и так получаеться после каждого запуска swaret он постоянно
хочет обновить gtk и для этого ипользует 2 версии gtk+2-2.4.10-i486-1 и 
gtk+2-2.4.3-i486-1 меняя их местами в зависимости от того что сейчас
установленно.

что нужно исправить чтобы swaret нормально обрабатывал обновление этого пакета?

Other related posts: